package ru.yandex.webmaster.common.xml.limits;

import java.util.Date;

/**
 * User: azakharov
 * Date: 13.09.13
 * Time: 16:41
 */
public class LimitDelegationInfo {
    private Long hostId;
    private String hostName;
    private Long mainUserId;
    private String mainUserLogin;
    private Long fromUserId;
    private String fromUserLogin;
    private Long toUserId;
    private String toUserLogin;
    private Date delegationDate;

    public LimitDelegationInfo(Long hostId, String hostName, Long mainUserId, String mainUserLogin, Long fromUserId, String fromUserLogin, Long toUserId, String toUserLogin, Date delegationDate) {
        this.hostId = hostId;
        this.hostName = hostName;
        this.mainUserId = mainUserId;
        this.mainUserLogin = mainUserLogin;
        this.fromUserId = fromUserId;
        this.fromUserLogin = fromUserLogin;
        this.toUserId = toUserId;
        this.toUserLogin = toUserLogin;
        this.delegationDate = delegationDate;
    }

    public Long getHostId() {
        return hostId;
    }

    public String getHostName() {
        return hostName;
    }

    public Long getMainUserId() {
        return mainUserId;
    }

    public String getMainUserLogin() {
        return mainUserLogin;
    }

    public Long getFromUserId() {
        return fromUserId;
    }

    public String getFromUserLogin() {
        return fromUserLogin;
    }

    public Long getToUserId() {
        return toUserId;
    }

    public String getToUserLogin() {
        return toUserLogin;
    }

    public Date getDelegationDate() {
        return delegationDate;
    }
}
